<mat-nav-list>
    <span>{{message}}</span>
    <a *ngFor="let action of actions" mat-list-item (click)="actionSelected(action)">
        <span mat-line>{{action}}</span>
    </a>
    <a mat-list-item (click)="actionSelected('cancel')">
        <span mat-line>{{cancelButtonText}}</span>
    </a>
</mat-nav-list>